org.omg.CosNaming

## Class NamingContextExtHolder

- java.lang.Object
- - org.omg.CosNaming.NamingContextExtHolder

All Implemented Interfaces:
  Streamable

    public final class NamingContextExtHolder
    extends Object
    implements Streamable

`NamingContextExt` is the extension of `NamingContext` which contains a set of name bindings in which each name is unique and is part of Interoperable Naming Service. Different names can be bound to an object in the same or different contexts at the same time. Using `NamingContextExt`, you can use URL-based names to bind and resolve.

See CORBA COS Naming Specification.

### Field Summary

Fields
`NamingContextExt` `value`

### Constructor Summary

Constructors
Constructor and Description
`NamingContextExtHolder()`
`NamingContextExtHolder(NamingContextExt initialValue)`

### Method Summary

Methods
`void` `_read(InputStream i)` Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
`TypeCode` `_type()` Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
`void` `_write(OutputStream o)` Marshals to `ostream` the value in the `value` field of the Holder.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    public NamingContextExt value

### Constructor Detail

#### NamingContextExtHolder

    public NamingContextExtHolder()

#### NamingContextExtHolder

    public NamingContextExtHolder(NamingContextExt initialValue)

### Method Detail

#### _read

    public void _read(InputStream i)

Description copied from interface: `Streamable`
Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.

Specified by:
  `_read` in interface `Streamable`
Parameters:
  `i` - the InputStream that represents the CDR data from the wire.

#### _write

    public void _write(OutputStream o)

Description copied from interface: `Streamable`
Marshals to `ostream` the value in the `value` field of the Holder.

Specified by:
  `_write` in interface `Streamable`
Parameters:
  `o` - the CDR OutputStream

#### _type

    public TypeCode _type()

Description copied from interface: `Streamable`
Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.

Specified by:
  `_type` in interface `Streamable`
Returns:
  the `TypeCode` object for the value held in the holder

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.